- name: Add fstab entries
  mount:
    name: "{{ item.dst }}"
    src: "{{ item.src }}"
    fstype: "{{ item.fstype }}"
    opts: "{{ item.opts }}"
    state: present
  loop:
    - dst: /tmp
      src: tmpfs
      fstype: tmpfs
      opts: rw,mode=777
    - dst: /var/run
      src: tmpfs
      fstype: tmpfs
      opts: rw,mode=755

- name: Add fstab entries
  when: efi_dev is defined
  mount:
    name: "{{ item.dst }}"
    src: "{{ item.src }}"
    fstype: "{{ item.fstype }}"
    opts: "{{ item.opts }}"
    state: present
  loop:
    - dst: /boot/efi
      src: "{{ efi_dev }}"
      fstype: msdosfs
      opts: rw

